# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# Origin b'git@github.com:intel-innersource/frameworks.ai.lpot.intel-lpot.git', commit b'3aaf0930809feac5d8ca39a0d8c0e42f3b100ce5'
# ------------------------------------------------

package:
  name: neural-compressor
  version: '1.7'
build:
  entry_points:
    - neural_compressor_bench = neural_compressor.ux.neural_compressor_bench:main
  number: '0'
  script: pip install --no-deps C:/Users/Administrator/Desktop/INC/dist/neural_compressor-1.7-cp39-cp39-win_amd64.whl
  script_env:
    - NC_WHL
  string: py39_0
requirements:
  build:
    - ca-certificates 2021.5.30 h5b45459_0
    - openssl 3.0.0 h8ffe710_1
    - pip 21.2.4 pyhd8ed1ab_0
    - python 3.9.7 h900ac77_3_cpython
    - python_abi 3.9 2_cp39
    - setuptools 58.0.4 py39hcbf5309_2
    - sqlite 3.36.0 h8ffe710_2
    - tzdata 2021a he74cb21_1
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_5
    - vs2015_runtime 14.29.30037 h902a5da_5
    - wheel 0.37.0 pyhd8ed1ab_1
  run:
    - Flask
    - Flask-Cors
    - Flask-SocketIO
    - Pillow
    - gevent
    - gevent-websocket
    - hyperopt
    - numpy
    - opencv
    - pandas
    - pip
    - prettytable
    - psutil
    - py-cpuinfo
    - pycocotools
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - pyyaml
    - requests
    - schema
    - scikit-learn
    - sigopt
test:
  imports:
    - neural_compressor
about:
  description: " <strong>LEGAL NOTICE: Use of this software package is subject to\
    \ the software license agreement (as set forth above, in the license section of\
    \ the installed Conda package and/or the README file) and all notices, disclaimers\
    \ or license terms for third party or open source software included in or with\
    \ the software.</strong> <br/><br/> EULA: <a href=\"https://github.com/intel/neural-compressor/blob/master/LICENSE\"\
    \ target=\"_blank\">Apache 2.0</a><br/> Third Party Programs: https://github.com/intel/neural-compressor/blob/master/third-party-programs.txt\
    \ <br/><br/> Intel\xAE Neural Compressor. "
  home: https://github.com/intel/neural-compressor
  license: Apache 2.0
  license_family: Apache
  license_file: LICENSE
extra:
  copy_test_source_files: true
  final: true
